Bug 142647 - unsopported ATI chipset in kernel 2.6.9-1.681_FC3
unsopported ATI chipset in kernel 2.6.9-1.681_FC3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 09:09 EST by Florian Krammel
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 02:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for ati ide chip (379 bytes, patch)
2004-12-11 09:13 EST, Florian Krammel
no flags Details | Diff

  None (edit)
Description Florian Krammel 2004-12-11 09:09:40 EST
Description of problem:

I've found some unsopported ATI chpset's on my motherboard, because
DMA wouldn't work...

This is a cut from "lspci -v"

------------------------------------------------------------------
# lspci -v
00:00.0 Host bridge: ATI Technologies Inc: Unknown device 7833
        Subsystem: ATI Technologies Inc: Unknown device 7833
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Memory at e8000000 (32-bit, prefetchable) [size=64M]
        Memory at ec204000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [a0] AGP version 3.0

00:01.0 PCI bridge: ATI Technologies Inc: Unknown device 7838 (prog-if
00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: ec000000-ec0fffff
        Prefetchable memory behind bridge: e0000000-e7ffffff

00:13.0 USB Controller: ATI Technologies Inc: Unknown device 4367 (rev
01) (prog-if 10 [OHCI])
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 5
        Memory at ec200000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [d0] Message Signalled Interrupts: 64bit-
Queue=0/0 Enable-

00:13.1 USB Controller: ATI Technologies Inc: Unknown device 4368 (rev
01) (prog-if 10 [OHCI])
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 5
        Memory at ec201000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [d0] Message Signalled Interrupts: 64bit-
Queue=0/0 Enable-

00:13.2 USB Controller: ATI Technologies Inc: Unknown device 4365 (rev
01) (prog-if 20 [EHCI])
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 5
        Memory at ec202000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit-
Queue=0/0 Enable-

00:14.0 SMBus: ATI Technologies Inc: Unknown device 4363 (rev 03)
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: 66Mhz, medium devsel
        I/O ports at 1000 [size=16]
        Memory at ec203000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [b0] Message Signalled Interrupts: 64bit-
Queue=0/0 Enable-

00:14.1 IDE interface: ATI Technologies Inc: Unknown device 4369 (rev
01) (prog-if 8a [Master SecP PriP])
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 10
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at f000 [size=16]

00:14.3 ISA bridge: ATI Technologies Inc: Unknown device 436c (rev 01)
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, medium devsel, latency 0

00:14.4 PCI bridge: ATI Technologies Inc: Unknown device 4362 (rev 01)
(prog-if01 [Subtractive decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: ec100000-ec1fffff

00:14.5 Multimedia audio controller: ATI Technologies Inc: Unknown
device 4361 (rev 03)
        Subsystem: FIRST INTERNATIONAL Computer Inc: Unknown device 9269
        Flags: bus master, 66Mhz, slow devsel, latency 64, IRQ 11
        Memory at ec205000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Message Signalled Interrupts: 64bit-
Queue=0/0 Enable-

...
-------------------------------------------------------------------

I've found a solution via google for the IDE interface and created a
patch for the kernel. 
I'm not able to fix the problem with the other chipset's, maybe
anybody else can try this?               


Version-Release number of selected component (if applicable):

kernel 2.6.9 (2.6.9-1.681_FC3)

solution for ide chipset:

in the file "<kernel-src>/include/linux/pci_ids.h" you have to add
this line "#define PCI_DEVICE_ID_ATI_IXP_IDE	0x4369" at "/* ATI IXP
Chipset */" then the kernel will support the ATI chipset


  
Actual results:

Now the chip is supported and DMA works.

Expected results:

Maybe all chipset's should be supported ;)

Additional info:

I had some problems with USB. It was deactivated by kernel at
boottime. Only the parameter "irqpoll" will activate USB, maybe the
reason therefor ist the unsopported chip?
Sound works altough the chip is not supported.


Patch:
---------------------------------------------------------------------

--- include/linux/pci_ids.h	2004-10-18 23:55:36.000000000 +0200
+++ include/linux/pci_ids	2004-12-11 13:30:00.448635045 +0100
@@ -344,6 +344,8 @@
 #define PCI_DEVICE_ID_ATI_RS300_200	0x5833
 /* ATI IXP Chipset */
 #define PCI_DEVICE_ID_ATI_IXP_IDE	0x4349
+#define PCI_DEVICE_ID_ATI_IXP_IDE	0x4369
+
 
 #define PCI_VENDOR_ID_VLSI		0x1004
 #define PCI_DEVICE_ID_VLSI_82C592	0x0005
Comment 1 Florian Krammel 2004-12-11 09:13:21 EST
Created attachment 108386 [details]
patch for ati ide chip

sorry I have not seen that I can insert attachment's
Comment 2 Florian Krammel 2004-12-11 10:32:56 EST
thereis a patch, too. at the kernel mailinglist

http://www.ussg.iu.edu/hypermail/linux/kernel/0412.1/0639.html
Comment 3 Florian Krammel 2004-12-12 07:21:48 EST
maybe I've done a mistake!

if I compiling the kernel this message is in the output

"include/linux/pci_ids.h:347:1: Warnung: "PCI_DEVICE_ID_ATI_IXP_IDE"
redefined"

therefore the kernel maybe not support the older chip?

the line to add maybe should called "#define
PCI_DEVICE_ID_ATI_IXP_IDE_4369	0x4369"?


Comment 4 Jason Tibbitts 2004-12-21 14:31:30 EST
I can verify that adding the define and the entry in atiixp_pci_tbl
does indeed cause things to work very much better on my machine.  I'm
running 2.6.9-1.1047_FC4 plus this fix on an otherwise stock FC3
machine.  I'll keep checking new rawhide kernel versions to see if the
need for the fix goes away.
Comment 5 Jason Tibbitts 2004-12-31 14:05:39 EST
This fix is not needed as of kernel 2.6.10-1.1056_FC4; I think this
can be Closed -> Rawhide.

Note You need to log in before you can comment on or make changes to this bug.